FROM docker.io/archlinux:base-devel-20250302.0.316047

RUN : \
    && pacman -Syyu --noconfirm \
    && pacman -S --noconfirm \
        git \
        git-lfs \
        jq \
        pacman-contrib \
        rsync \
    # Add user for makepkg
    && useradd -m -g users -s /usr/bin/bash makepkg \
    && echo 'makepkg ALL=(ALL) NOPASSWD: /usr/bin/pacman' >> /etc/sudoers \
    # apply my dotfiles
    && curl 'https://dotfiles.glatan.vercel.app' > install.sh \
    && bash install.sh --apply-root \
    && rm -rf \
        /usr/share/doc/* \
        /usr/share/man/* \
        /var/cache/pacman/pkg/* \
        /var/lib/pacman/sync/*

CMD ["/usr/bin/bash"]
